## IAnjutaEditorFactory IAnjutaEditorFactory — Text editor factory that creates IAnjutaEditor objects |

## Stability Level

Unstable, unless otherwise indicated

## Functions

GQuark | ianjuta_editor_factory_error_quark ()
IAnjutaEditor * | ianjuta_editor_factory_new_editor ()

## Types and Values

#define | IANJUTA_EDITOR_FACTORY_ERROR

## Object Hierarchy

        GInterface
        ╰── IAnjutaEditorFactory

## Includes

    #include <libanjuta/interfaces/ianjuta-editor-factory.h>

## Description

## Functions

### ianjuta_editor_factory_error_quark ()

    GQuark
    ianjuta_editor_factory_error_quark (void);

#### Returns

### ianjuta_editor_factory_new_editor ()

    IAnjutaEditor *
    ianjuta_editor_factory_new_editor (IAnjutaEditorFactory *obj,
                                       GFile *file,
                                       const gchar *filename,
                                       GError **err);

Get a new GtkWidget* which implements IAnjutaEditor

#### Parameters

obj | Self |
file | file to open |
filename | filename to open |
err | Error propagation and reporting |

#### Returns

An object implementing IAnjutaEditor

## Types and Values

### IANJUTA_EDITOR_FACTORY_ERROR

    #define IANJUTA_EDITOR_FACTORY_ERROR ianjuta_editor_factory_error_quark()